Package net.shibboleth.idp.plugin.authn.webauthn.admin.impl

# Class InlineEnrolmentRedirectFunction

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.InlineEnrolmentRedirectFunction

All Implemented Interfaces:
  `BiFunction<RequestContext,ProfileRequestContext,String>`, `Component`, `DestructableComponent`, `InitializableComponent`

public class InlineEnrolmentRedirectFunction extends AbstractInitializableComponent implements BiFunction<RequestContext,ProfileRequestContext,String>
A function that generates a redirect URL to return the user to a resource relative to the server root.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,InlineEnrolmentContext>`
`inlineEnrolementContextCreationStrategy`
Strategy used to locate the `InlineEnrolmentContext`.

## Constructor Summary

Constructors
Constructor
Description
`InlineEnrolmentRedirectFunction()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(RequestContext springRequestContext, ProfileRequestContext profileRequestContext)`
`void`
`setInlineEnrolementContextCreationStrategy(Function<ProfileRequestContext,InlineEnrolmentContext> strategy)`
Set the strategy used to locate the `InlineEnrolmentContext`.

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiFunction

`andThen`

## Field Details

### inlineEnrolementContextCreationStrategy

@Nonnull private Function<ProfileRequestContext,InlineEnrolmentContext> inlineEnrolementContextCreationStrategy
Strategy used to locate the `InlineEnrolmentContext`.

## Constructor Details

### InlineEnrolmentRedirectFunction

public InlineEnrolmentRedirectFunction()
Constructor.

## Method Details

### setInlineEnrolementContextCreationStrategy

public void setInlineEnrolementContextCreationStrategy(@Nonnull Function<ProfileRequestContext,InlineEnrolmentContext> strategy)
Set the strategy used to locate the `InlineEnrolmentContext`.

Parameters:
  `strategy` - The strategy to set.

### apply

@Nullable public String apply(@Nullable RequestContext springRequestContext, @Nullable ProfileRequestContext profileRequestContext)

Specified by:
  `apply` in interface `BiFunction<RequestContext,ProfileRequestContext,String>`